# Read checkout details 

**GET**`https://pay.example.com/pay/checkout-counter-resp/{trade_id}`

[Request example ↓](https://epusdt.com/api/endpoints/checkout-details#request-example)

Read the amount, receiving address and current selection. Here `created_at` and `expiration_time` are Unix timestamps in milliseconds.

## Parameters 

`trade_id` · `string` · PATH

The EPUSDT transaction ID returned when the order was created.

## Related resources 

* [Poll order status](https://epusdt.com/api/endpoints/order-status)
* [Merchant callbacks](https://epusdt.com/api/payment#callbacks)

## Responses

application/jsonResponse fields
* `status_code` integer  
Application result code.
* `message` string  
Human-readable result.
* `data` object  
Response payload; null on error.

  * `trade_id` string
  * `amount` number
  * `actual_amount` number
  * `token` string
  * `currency` string
  * `network` string
  * `status` integer
  * `expiration_time` integer
  * `is_selected` boolean
* `request_id` string  
Request identifier for tracing.

application/jsonResponse fields
* `status_code` integer  
Application result code.
* `message` string  
Human-readable result.
* `data` null  
Response payload; null on error.
* `request_id` string  
Request identifier for tracing.

[error-codes.json ↓](https://epusdt.com/agent-setup/error-codes.json)

**Request example**

Gateway URL trade\_id 

```
curl -i -X GET \
  'https://pay.example.com/pay/checkout-counter-resp/20260523171652123456001'
```

Enter your gateway URL to test a public query.

**Example response**200 · Success400 · 10008 · Order not found

application/json · Selected response fields

```
{
  "status_code": 200,
  "message": "success",
  "data": {
    "trade_id": "20260523171652123456001",
    "amount": 100,
    "actual_amount": 14.29,
    "token": "USDT",
    "currency": "CNY",
    "network": "tron",
    "status": 1,
    "expiration_time": 1779530812000,
    "is_selected": false
  },
  "request_id": "b1344d70-ff19-4543-b601-37abfb3b3686"
}
```
